-- MySQL Script generated by MySQL Workbench
-- Thu Nov  5 22:46:35 2020
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
-- -----------------------------------------------------
-- Schema quizz-app
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema quizz-app
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `quizz-app` DEFAULT CHARACTER SET utf8 COLLATE utf8_bin ;
USE `quizz-app` ;

-- -----------------------------------------------------
-- Table `quizz-app`.`category`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `quizz-app`.`category` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_bin;


-- -----------------------------------------------------
-- Table `quizz-app`.`teachers`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `quizz-app`.`teachers` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_bin;


-- -----------------------------------------------------
-- Table `quizz-app`.`quiz`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `quizz-app`.`quiz` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `title` VARCHAR(45) NOT NULL,
  `category_id` INT(11) NOT NULL,
  `teachers_id` INT(11) NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_quiz_category_idx` (`category_id` ASC) VISIBLE,
  INDEX `fk_quiz_teachers1_idx` (`teachers_id` ASC) VISIBLE,
  CONSTRAINT `fk_quiz_category`
    FOREIGN KEY (`category_id`)
    REFERENCES `quizz-app`.`category` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_quiz_teachers1`
    FOREIGN KEY (`teachers_id`)
    REFERENCES `quizz-app`.`teachers` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_bin;


-- -----------------------------------------------------
-- Table `quizz-app`.`questions`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `quizz-app`.`questions` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `quiz_id` INT(11) NOT NULL,
  `text` VARCHAR(45) NOT NULL,
  `points` TINYINT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_questions_quiz1_idx` (`quiz_id` ASC) VISIBLE,
  CONSTRAINT `fk_questions_quiz1`
    FOREIGN KEY (`quiz_id`)
    REFERENCES `quizz-app`.`quiz` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_bin;


-- -----------------------------------------------------
-- Table `quizz-app`.`answers`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `quizz-app`.`answers` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `questions_id` INT(11) NOT NULL,
  `quiz_id` INT(11) NOT NULL,
  `text` VARCHAR(255) NOT NULL,
  `is_correct` TINYINT(11) NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_answers_questions1_idx` (`questions_id` ASC) VISIBLE,
  INDEX `fk_answers_quiz1_idx` (`quiz_id` ASC) VISIBLE,
  CONSTRAINT `fk_answers_questions1`
    FOREIGN KEY (`questions_id`)
    REFERENCES `quizz-app`.`questions` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_answers_quiz1`
    FOREIGN KEY (`quiz_id`)
    REFERENCES `quizz-app`.`quiz` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_bin;


-- -----------------------------------------------------
-- Table `quizz-app`.`students`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `quizz-app`.`students` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_bin;


-- -----------------------------------------------------
-- Table `quizz-app`.`take`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `quizz-app`.`take` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `teachers_id` INT(11) NOT NULL,
  `students_id` INT(11) NOT NULL,
  `quiz_id` INT(11) NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_take_teachers1_idx` (`teachers_id` ASC) VISIBLE,
  INDEX `fk_take_students1_idx` (`students_id` ASC) VISIBLE,
  INDEX `fk_take_quiz1_idx` (`quiz_id` ASC) VISIBLE,
  CONSTRAINT `fk_take_quiz1`
    FOREIGN KEY (`quiz_id`)
    REFERENCES `quizz-app`.`quiz` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_take_students1`
    FOREIGN KEY (`students_id`)
    REFERENCES `quizz-app`.`students` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_take_teachers1`
    FOREIGN KEY (`teachers_id`)
    REFERENCES `quizz-app`.`teachers` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_bin;


-- -----------------------------------------------------
-- Table `quizz-app`.`take_answers`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `quizz-app`.`take_answers` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `take_id` INT(11) NOT NULL,
  `answers_id` INT(11) NOT NULL,
  `questions_id` INT(11) NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_take_answers_take1_idx` (`take_id` ASC) VISIBLE,
  INDEX `fk_take_answers_answers1_idx` (`answers_id` ASC) VISIBLE,
  INDEX `fk_take_answers_questions1_idx` (`questions_id` ASC) VISIBLE,
  CONSTRAINT `fk_take_answers_answers1`
    FOREIGN KEY (`answers_id`)
    REFERENCES `quizz-app`.`answers` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_take_answers_questions1`
    FOREIGN KEY (`questions_id`)
    REFERENCES `quizz-app`.`questions` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_take_answers_take1`
    FOREIGN KEY (`take_id`)
    REFERENCES `quizz-app`.`take` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_bin;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
